# Class CIM_ElementInSchedulingService
extends CIM_Component

This association represents the relationship between a PacketSchedulingService and the set of SchedulingElements that tie it to its inputs (either QueuingServices or other PacketSchedulingServices).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ElementInSchedulingService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | This association represents the relationship between a PacketSchedulingService and the set of SchedulingElements that tie it to its inputs (either QueuingServices or other PacketSchedulingServices).
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ElementInSchedulingService | CIM_PacketSchedulingService
PartComponent | CIM_ElementInSchedulingService | CIM_SchedulingElement

## Class Methods